<cfsetting enablecfoutputonly="No" showdebugoutput="No" catchexceptionsbypattern="No">
<cfquery name="getAll" datasource="test" cachedwithin="#CreateTimeSpan(0,0,5,0)#">
	SELECT doc.doc_id, doc.title, dt.doc_type
	FROM tblDocuments doc INNER JOIN tblDocType dt
	ON doc.doc_type_id = dt.type_id
	ORDER BY doc.doc_id
</cfquery>

<cfquery name="searchResults" dbtype="query">
SELECT title, doc_type
FROM getAll
WHERE doc_type = 'Word'
</cfquery>

<html>
<head>
	<title>Cached - Q of Q</title>
</head>

<body>
<h2>Query of Query on Cached Result Set</h2>
<cfoutput>
		<!--- Display Result Set --->
		<table border="1" cellspacing="1" cellpadding="4">
			<tr>
				<td colspan="3" bgcolor="navy"><font size="2" color="white"><strong>Cached Query</strong></font></td>
			</tr>
			<tr>
				<td><font size="2"><strong>Title</strong></font></td>
				<td><font size="2"><strong>Doc Type</strong></font></td>
			</tr>
			<cfloop QUERY="getAll">
			<tr>
				<td><font size="2">#getAll.title#</font>&nbsp;</td>
				<td><font size="2">#getAll.doc_type#</font>&nbsp;</td>
			</tr>
			</cfloop>
		</table>
</cfoutput>	  

<p></p>

<cfoutput>
		<!--- Display Result Set --->
		<table border="1" cellspacing="1" cellpadding="4">
			<tr>
				<td colspan="3" bgcolor="navy"><font size="2" color="white"><strong>Search Results</strong></font></td>
			</tr>
			<tr>
				<td><font size="2"><strong>Title</strong></font></td>
				<td><font size="2"><strong>Doc Type</strong></font></td>
			</tr>
			<cfloop QUERY="searchResults">
			<tr>
				<td><font size="2">#searchResults.title#</font>&nbsp;</td>
				<td><font size="2">#searchResults.doc_type#</font>&nbsp;</td>
			</tr>
			</cfloop>
		</table>
</cfoutput>	  


</body>
</html>
